summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2018-11-25 13:42:24 -0500
committerAnthony G. Basile <blueness@gentoo.org>2018-11-25 13:42:24 -0500
commitcb4a35a169b75cf31b80034753dab758182a3091 (patch)
tree29dc227aaf7343d0cf04a3b601e5c0c558aa4d4b /net-libs/mbedtls
parentdev-util/pycharm-community: Add myself as maintainer (diff)
downloadgentoo-cb4a35a169b75cf31b80034753dab758182a3091.tar.gz
gentoo-cb4a35a169b75cf31b80034753dab758182a3091.tar.bz2
gentoo-cb4a35a169b75cf31b80034753dab758182a3091.zip
net-libs/mbedtls: version bump to 2.15.0
Signed-off-by: Anthony G. Basile <blueness@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'net-libs/mbedtls')
-rw-r--r--net-libs/mbedtls/Manifest1
-rw-r--r--net-libs/mbedtls/mbedtls-2.15.0.ebuild93
2 files changed, 94 insertions, 0 deletions
diff --git a/net-libs/mbedtls/Manifest b/net-libs/mbedtls/Manifest
index 444b5ce2473..84aea86b22f 100644
--- a/net-libs/mbedtls/Manifest
+++ b/net-libs/mbedtls/Manifest
@@ -2,3 +2,4 @@ DIST mbedtls-2.10.0.tar.gz 2190139 BLAKE2B f4e6da0bc433992a79088a86c7bad48564e5d
DIST mbedtls-2.12.0.tar.gz 2299830 BLAKE2B e65da9feaca4dc22e843cb645259ab8c81e24cec709f0f79475b53e3c319f6e5239bd6c82db07562252a35d9746600502c5a856bf6c0de67f2fbbea840b4491c SHA512 c7c2aeb1717886ad87486af2dccb05b2f051372c69fc914f30e4ace1067f5be39ba04e093ad522f904e23a576c1ff430bd772e77823d0f4720f6fc5c1b8aa98c
DIST mbedtls-2.13.1.tar.gz 2345612 BLAKE2B 0b78a04407076016fb7f74b635cd2fc86119a9cd8571c6356715e3a680f5b16787c2b002830d103ebd4b995dda956ec874a35bf1a824489dc56f509a9485b1d3 SHA512 1a70446b533534c075de38ce0839f7947077ffdddffa57172594b8f8a3c4a3fbdfa9b06d13c198008abad33633e509f06abe5362f603f63850d9ec44734b3c0b
DIST mbedtls-2.14.0.tar.gz 2369432 BLAKE2B e3d0c25675b49e389bdb46a60e39799f73cedfeaedb79db522a4e1657cea330458fb5d9055585407f59fc0269474ef731748fe62166a49583ffbf5c9fcf26a79 SHA512 c6dcc20866e96adb54602ff6ca1df34c719cb3e5048a7c3b23eabf50d351537a54dae837238176561c7e0d3c6b7b2b08599e21dc374105c968f4795f1a4a531a
+DIST mbedtls-2.15.0.tar.gz 2662149 BLAKE2B f29438dbb7ea64cdd4bb4fb1b0a0a0640fbdaa8d09cb702612f024e8e2779475431d3afedebe8e18c17297046c6d74a56866a1b163d336c62f00bae45d3f4f39 SHA512 2c036f7b264358d78ca3332ad7f52a4954192f146bc6ec8ff39987badab3f3fa8cd8775e7b2e02a2a7bfd605daa034c8fe58c9fe8de45710329b85d448ce6efa
diff --git a/net-libs/mbedtls/mbedtls-2.15.0.ebuild b/net-libs/mbedtls/mbedtls-2.15.0.ebuild
new file mode 100644
index 00000000000..12069e130eb
--- /dev/null
+++ b/net-libs/mbedtls/mbedtls-2.15.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils multilib-minimal
+
+DESCRIPTION="Cryptographic library for embedded systems"
+HOMEPAGE="https://tls.mbed.org/"
+SRC_URI="https://github.com/ARMmbed/mbedtls/archive/${P}.tar.gz"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="Apache-2.0"
+SLOT="0/12" # slot for libmbedtls.so
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="cpu_flags_x86_sse2 doc havege libressl programs -static-libs test threads zlib"
+
+RDEPEND="
+ programs? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+ zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen media-gfx/graphviz )
+ test? ( dev-lang/perl )"
+
+enable_mbedtls_option() {
+ local myopt="$@"
+ # check that config.h syntax is the same at version bump
+ sed -i \
+ -e "s://#define ${myopt}:#define ${myopt}:" \
+ include/mbedtls/config.h || die
+}
+
+src_prepare() {
+ use cpu_flags_x86_sse2 && enable_mbedtls_option MBEDTLS_HAVE_SSE2
+ use zlib && enable_mbedtls_option MBEDTLS_ZLIB_SUPPORT
+ use havege && enable_mbedtls_option MBEDTLS_HAVEGE_C
+ use threads && enable_mbedtls_option MBEDTLS_THREADING_C
+ use threads && enable_mbedtls_option MBEDTLS_THREADING_PTHREAD
+
+ cmake-utils_src_prepare
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DENABLE_PROGRAMS=$(multilib_native_usex programs)
+ -DENABLE_ZLIB_SUPPORT=$(usex zlib)
+ -DUSE_STATIC_MBEDTLS_LIBRARY=$(usex static-libs)
+ -DENABLE_TESTING=$(usex test)
+ -DUSE_SHARED_MBEDTLS_LIBRARY=ON
+ -DINSTALL_MBEDTLS_HEADERS=ON
+ -DLIB_INSTALL_DIR="/usr/$(get_libdir)"
+ )
+
+ cmake-utils_src_configure
+}
+
+multilib_src_compile() {
+ cmake-utils_src_compile
+ use doc && multilib_is_native_abi && emake apidoc
+}
+
+multilib_src_test() {
+ LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BUILD_DIR}/library" \
+ cmake-utils_src_test
+}
+
+multilib_src_install() {
+ cmake-utils_src_install
+}
+
+multilib_src_install_all() {
+ use doc && HTML_DOCS=( apidoc )
+
+ einstalldocs
+
+ if use programs ; then
+ # avoid file collisions with sys-apps/coreutils
+ local p e
+ for p in "${ED%/}"/usr/bin/* ; do
+ if [[ -x "${p}" && ! -d "${p}" ]] ; then
+ mv "${p}" "${ED%/}"/usr/bin/mbedtls_${p##*/} || die
+ fi
+ done
+ for e in aes hash pkey ssl test ; do
+ docinto "${e}"
+ dodoc programs/"${e}"/*.c
+ dodoc programs/"${e}"/*.txt
+ done
+ fi
+}